#
# spec file for package rubygem-ruby-openid
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ruby-openid
Version:        2.7.0
Release:        lp151.2.1
%define mod_name ruby-openid
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
Url:            https://github.com/openid/ruby-openid
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A library for consuming and serving OpenID identities
License:        Ruby and Apache-2.0
Group:          Development/Languages/Ruby

%description
A library for consuming and serving OpenID identities.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Feb  5 2018 jmassaguerpla@suse.com
- fix license to match spdx identifiers https://spdx.org/licenses/
* Fri Mar  6 2015 coolo@suse.com
- updated to version 2.7.0
* Fri Feb  6 2015 coolo@suse.com
- updated to version 2.6.0
  * More safely build filenames - 1c4a90630b183e7572b8ab5f2e3a3e0c0fecd2c7
  See https://github.com/openid/ruby-openid/pull/80
  * The session serializer of Rails4.1 is json - b44a1eb511dec3be25a07930121bc80cacec0f1c
  * Handle boolean value to fix signature issue - d65076269b77754da7db6e4b189edeeb9201600d
  See https://github.com/openid/ruby-openid/pull/76
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Thu Feb  6 2014 coolo@suse.com
- updated to version 2.5.0
  * Allow expecting a parameter to be nil during return_to verification - 708e992ab3e6c26d478283fc11faa6a0a74bfec0
  * Fixed missing XRDS HTTP header in sample provider - dc15fa07fd59fdcf46d659cce34c6ef7a6768fde
* Mon Sep 23 2013 coolo@suse.com
- updated to version 2.3.0
  * Deprecated Ruby 1.8 support - 0694bebc83de0313cfef73a5d0ffd9a293ae71a0
  * Fixed encoding errors in test suite - 7ac8e3978f9c733bd5ee8d6b742b515b5427ded2
  * Be aware when using Hash or Array as default value for unknown Hash keys - #58
  * Stop overwriting String#starts_with? and String#ends_with? if defined - #55
  * Ignore Associations For OpenID2 (Google's Security Bug Fix) - #53
  * Change "oauth" to "ui" in variable name in the UI extension - #52
  * Eliminating runtime warnings - #50 #56
  * Upgrade example Rails provider/consumer app to Rails 3 - #49
* Tue Mar  5 2013 coolo@suse.com
- updated to version 2.2.3
  * Fixed 'invalid byte sequence in UTF-8' error in parse_link_attrs - 0f46921a97677b83b106366c805063105c5e9f20
  * Fixed license information in gemspec - f032e949e1ca9078ab7508d9629398ca2c36980a
  * Update starts/ends_with? to handle nil prefix - beee5e8d1dc24ad55725cfcc720eefba6bdbd279
* Sun Oct 28 2012 coolo@suse.com
- updated to version 2.2.2
  * Limit fetching file size & disable XML entity expansion - be2bab5c21f04735045e071411b349afb790078f
  Avoid DoS attack to RPs using large XRDS / too many XML entity expansion in XRDS.
  * Make bundle exec rake work - 2100f281172427d1557ebe76afbd24072a22d04f
  * State license in gemspec for automated tools / rubygems.org page - 2d5c3cd8f2476b28d60609822120c79d71919b7b
  * Use default-external encoding instead of ascii for badly encoded pages - a68d2591ac350459c874da10108e6ff5a8c08750
  * Colorize output and reveal tests that never ran - 4b0143f0a3b10060d5f52346954219bba3375039
* Mon Oct  1 2012 coolo@suse.com
- updated to version 2.2.1
* Wed Aug  1 2012 coolo@suse.com
- updated to version 2.2.0
* Tue Jan 11 2011 aduffeck@novell.com
- update to version 2.1.8
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Sat Nov 14 2009 mrueckert@suse.de
- update to version 2.1.7
* Fri Jan 16 2009 mrueckert@suse.de
- update to version 2.1.4
* Tue May 22 2007 mrueckert@suse.de
- update to version 1.1.4
* Sun Sep 24 2006 mrueckert@suse.de
- update to version 1.1.3:
  Bugfix release which fixes a problems related to wildcard
  trustroots on the server, and gracefully handling repeated OpenID
  responses on the consumer.
* Fri Aug 25 2006 mrueckert@suse.de
- update to version 1.1.2:
  Minor bugfix release: gracefully handle empty trust roots in
  OpenID::Server, Updated yadis library dependancy.
* Tue Aug 22 2006 mrueckert@suse.de
- update to version 1.1.1: (changes since 1.0.2)
  This is a bugfix release, and also introduces the ability to
  verify i-names.  Users of the library may now use the OpenID
  protocol to verify both URL and XRI based identifiers.
